Package io.github.jdbcx

# Class WrappedXAConnection

java.lang.Object
io.github.jdbcx.WrappedPooledConnection
io.github.jdbcx.WrappedXAConnection

All Implemented Interfaces:
  `PooledConnection`, `XAConnection`

public class WrappedXAConnection extends WrappedPooledConnection implements XAConnection
This class serves as a wrapper for a `XAConnection`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WrappedXAConnection(XAConnection conn)`

## Method Summary

Modifier and Type
Method
Description
`XAResource`
`getXAResource()`

### Methods inherited from class io.github.jdbcx.WrappedPooledConnection

`addConnectionEventListener, addStatementEventListener, close, getConnection, removeConnectionEventListener, removeStatementEventListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.PooledConnection

`addConnectionEventListener, addStatementEventListener, close, getConnection, removeConnectionEventListener, removeStatementEventListener`

## Constructor Details

### WrappedXAConnection

protected WrappedXAConnection(XAConnection conn)

## Method Details

### getXAResource

public XAResource getXAResource() throws SQLException

Specified by:
  `getXAResource` in interface `XAConnection`
Throws:
  `SQLException`